BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.ValueType System.IComparable System.IComparable<System.Char> System.IConvertible System.IEquatable<System.Char> System.Runtime.InteropServices.ComVisible(true)

The dnprdnshort uses the structure to represent a Unicode character. The Unicode Standard identifies each Unicode character with a unique 21-bit scalar number called a code point, and defines the UTF-16 encoding form that specifies how a code point is encoded into a sequence of one or more 16-bit values. Each 16-bit value ranges from hexadecimal 0x0000 through 0xFFFF and is stored in a structure. The value of a object is its 16-bit numeric (ordinal) value.

## Char Objects, Unicode Characters, and Strings

A object is a sequential collection of structures that represents a string of text. Most Unicode characters can be represented by a single object, but a character that is encoded as a base character, surrogate pair, and/or combining character sequence is represented by multiple objects. For this reason, a structure in a object is not necessarily equivalent to a single Unicode character.

Multiple 16-bit code units are used to represent single Unicode characters in the following cases:

Glyphs, which may consist of a single character or of a base character followed by one or more combining characters. For example, the character ä is represented by a object whose code unit is U+0061 followed by a object whose code unit is U+0308. (The character ä can also be defined by a single object that has a code unit of U+00E4.) The following example illustrates that the character ä consists of two objects.

code reference: System.Char.Class#1

Characters outside the Unicode Basic Multilingual Plane (BMP). Unicode supports sixteen planes in addition to the BMP, which represents plane 0. A Unicode code point is represented in UTF-32 by a 21-bit value that includes the plane. For example, U+1D160 represents the MUSICAL SYMBOL EIGHTH NOTE character. Because UTF-16 encoding has only 16 bits, characters outside the BMP are represented by surrogate pairs in UTF-16. The following example illustrates that the UTF-32 equivalent of U+1D160, the MUSICAL SYMBOL EIGHTH NOTE character, is U+D834 U+DD60. U+D834 is the high surrogate; high surrogates range from U+D800 through U+DBFF. U+DD60 is the low surrogate; low surrogates range from U+DC00 through U+DFFF.

code reference: System.Char.Class#2

## Characters and Text Elements

Because a single character can be represented by multiple objects, it is not always meaningful to work with individual objects. For instance, the following example converts the Unicode code points that represent the Aegean numbers zero through 9 to UTF-16 encoded code units. Because it erroneously equates objects with characters, it inaccurately reports that the resulting string has 20 characters.

code reference: System.Char.Class#3

You can do the following to avoid the assumption that a object represents a single character.

You can work with a object in its entirety instead of working with its individual characters to represent and analyze linguistic content.

You can use the class to work with text elements instead of individual objects. The following example uses the object to count the number of text elements in a string that consists of the Aegean numbers zero through nine. Because it considers a surrogate pair a single character, it correctly reports that the string contains ten characters.

code reference: System.Char.Class#4

If a string contains a base character that has one or more combining characters, you can call the method to convert the substring to a single UTF-16 encoded code unit. The following example calls the method to convert the base character U+0061 (LATIN SMALL LETTER A) and combining character U+0308 (COMBINING DIAERESIS) to U+00E4 (LATIN SMALL LETTER A WITH DIAERESIS).

code reference: System.Char.Class#5

## Common Operations

The structure provides methods to compare objects, convert the value of the current object to an object of another type, and determine the Unicode category of a object:

To do this

Use these System.Char methods

Compare objects

and

Convert a code point to a string

Convert a object or a surrogate pair of objects to a code point

Get the Unicode category of a character

Determine whether a character is in a particular Unicode category such as digit, letter, punctuation, control character, and so on

, , , , , , , , , , , , , , and

Convert a object that represents a number to a numeric value type

Convert a character in a string into a object

and

Convert a object to a object

Change the case of a object

, , , and

Represents a character as a UTF-16 code unit.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This method implements the interface and performs slightly better than the method because it does not have to convert the parameter to an object.

  The comparison performed by this method is based on the encoded values of this instance and , not their lexicographical characteristics.

  If the method parameter type has fewer bits (is narrower) than the instance type, some programming languages perform an implicit widening conversion that transforms the value of the parameter into a value with more bits.

  For example, suppose the instance type is and the parameter type is . The Microsoft C# compiler generates instructions to represent the value of the parameter as an object, then generates a method that compares the values of the instance and the parameter representation.

  Typically, implicit widening conversions are performed on numeric types. Consult your programming language's documentation to determine if its compiler performs widening conversions. If the instance and parameter types mismatch and a suitable conversion is not available, the compiler generates instructions to box the parameter and invoke the overload that takes an parameter.

  Compares this instance to a specified object and indicates whether this instance precedes, follows, or appears in the same position in the sort order as the specified object.

  A signed number indicating the position of this instance in the sort order in relation to the parameter.

  Return Value

  Description

  Less than zero

  This instance precedes .

  Zero

  This instance has the same position in the sort order as .

  Greater than zero

  This instance follows .

  A object to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` is not a and is not a null reference.

  The method implements the interface.

  The parameter must be null or an instance of ; otherwise, an exception is thrown.

  The comparison performed by this method is based on the encoded values of this instance and , not necessarily their lexicographical characteristics. Any instance of , regardless of its value, is considered greater than null.

  Compares this instance to a specified object and indicates whether this instance precedes, follows, or appears in the same position in the sort order as the specified .

  A signed number indicating the position of this instance in the sort order in relation to the parameter.

  Return Value

  Description

  Less than zero

  This instance precedes .

  Zero

  This instance has the same position in the sort order as .

  Greater than zero

  This instance follows .

  -or-

  is null.

  An object to compare this instance to, or null. 0
- Method
  2.0.0.0
  4.0.0.0
  System.String ``

  Use this method to convert a 21-bit Unicode code point to a UTF-16 encoded string before testing the string with methods such as and .

  A valid code point outside the Basic Multilingual Plane (BMP) always yields a valid surrogate pair. However, a valid code point within the BMP might not yield a valid result according to the Unicode standard because no linguistic processing is used in the conversion. For that reason, use the class to convert bulk UTF-32 data into bulk UTF-16 data.

  Converts the specified Unicode code point into a UTF-16 encoded string.

  A string consisting of one object or a surrogate pair of objects equivalent to the code point specified by the parameter.

  A 21-bit Unicode code point.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  Use this method to convert a surrogate pair into a 21-bit Unicode code point. To convert UTF-16 data into UTF-32 data, use the class.

  Ordinarily, UTF-16 encoding represents a single Unicode character as a 16-bit code unit. However, it also supports surrogate pairs, which allow a single abstract character to be represented as two 16-bit code units. These two objects must have code units that range from U+D800 to U+DBFF for the first (high) surrogate and from U+DC00 to U+DFFF for the second (low) surrogate. Surrogate pairs are supported only by UTF-16 encoding. This method allows a character represented by a UTF-16 surrogate pair to be converted to a character using UTF-32 encoding.

  Converts the value of a UTF-16 encoded surrogate pair into a Unicode code point.

  The 21-bit Unicode code point represented by the and parameters.

  A high surrogate code unit (that is, a code unit ranging from U+D800 through U+DBFF). A low surrogate code unit (that is, a code unit ranging from U+DC00 through U+DFFF).
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  Use this method to convert a character or surrogate pair into a 21-bit Unicode code point. To convert UTF-16 data into UTF-32 data, use the class.

  Converts the value of a UTF-16 encoded character or surrogate pair at a specified position in a string into a Unicode code point.

  The 21-bit Unicode code point represented by the character or surrogate pair at the position in the parameter specified by the parameter.

  A string that contains a character or surrogate pair. The index position of the character or surrogate pair in .
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method implements the interface, and performs slightly better than because it does not need to unbox the parameter.

  Returns a value that indicates whether this instance is equal to the specified object.

  true if the parameter equals the value of this instance; otherwise, false.

  An object to compare to this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The comparison performed by this method is based on the encoded values of this instance and , not necessarily their lexicographical characteristics.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if is an instance of and equals the value of this instance; otherwise, false.

  An object to compare with this instance or null. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double ``

  The following example demonstrates the method.

  `using System; public class GetNumericValueExample { public static void Main() { Char[] cAry = {'8', 'V', Convert.ToChar(0X00BC)}; //Unicode U+00BC is the code point for the character //representation of 1/4 foreach(Char c in cAry) { Console.Write("Numeric value of Unicode " + "character {0} ", c); Console.WriteLine(" is {0}", Char.GetNumericValue(c)); } } }`

  The output is

  Numeric value of Unicode character 8 is 8

  Numeric value of Unicode character V is -1

  Numeric value of Unicode character is 0.25

  The parameter must be the representation of a numeric value. For example, if is "5", the return value is 5. However, if is "z", the return value is -1.0.

  A character has an associated numeric value if and only if it is a member of one of the following categories: DecimalDigitNumber, LetterNumber, or OtherNumber.

  The method assumes that corresponds to a single linguistic character and checks whether that character can be converted to a decimal digit. However, some numbers in the Unicode standard are represented by two objects that form a surrogate pair. For example, the Aegean numbering system consists of code points U+10107 through U+10133. The following example uses the method to instantiate a string that represents AEGEAN NUMBER ONE. As the output from the example shows, the method returns -1 if it is passed either a high surrogate or a low surrogate of this character.

  code reference: System.Char.GetNumericValue#2

  Converts the specified numeric Unicode character to a double-precision floating point number.

  The numeric value of if that character represents a number; otherwise, -1.0.

  The Unicode character to convert. 1 ExtendedNumerics
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The character position in .

  The parameter must be the string representation of a numeric value. For example, if the character at position in is "5", the return value is 5. However, if the character at position in is "z", the return value is -1.

  Character positions in a string are indexed starting from zero.

  A character has an associated numeric value if and only if it is a member of one of the following categories: DecimalDigitNumber, LetterNumber, or OtherNumber.

  If the object at position is the first character of a valid surrogate pair, the method determines whether the surrogate pair forms a numeric digit. For example, the Aegean numbering system consists of code points U+10107 through U+10133. The following example uses the method to instantiate a string that represents each Aegean number. As the output from the example shows, the method returns the correct numeric value if it is passed the high surrogate of an Aegean number. However, if it is passed the low surrogate, it considers only the low surrogate in isolation and returns -1.

  code reference: System.Char.GetNumericValue#3

  Converts the numeric Unicode character at the specified position in a specified string to a double-precision floating point number.

  The numeric value of the character at position in if that character represents a number; otherwise, -1.

  A . The character position in . 1 ExtendedNumerics
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added.

  Returns the for value type .

  The enumerated constant, .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory ``

  The method does not always return the same value as the method when it is passed a particular character as a parameter. The method is designed to reflect the current version of the Unicode standard. In contrast, although the method usually reflects the current version of the Unicode standard, it may return a character's category based on a previous version of the standard or it may return a category that differs from the current standard in order to preserve backward compatibility. As a result, we recommend that you use the method instead of .

  Categorizes a specified Unicode character into a group identified by one of the values.

  A value that identifies the group that contains .

  The Unicode character to categorize. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of .

  Character positions in a string are indexed starting from zero.

  The method does not always return the same value as the method when it is passed a particular character as a parameter. The method is designed to reflect the current version of the Unicode standard. In contrast, although the method usually reflects the current version of the Unicode standard, it may return a character's category based on a previous version of the standard or it may return a category that differs from the current standard in order to preserve backward compatibility. As a result, we recommend that you use the method instead of .

  Categorizes the character at the specified position in a specified string into a group identified by one of the values.

  A enumerated constant that identifies the group that contains the character at position in .

  A . The character position in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Control characters are formatting and other non-printing characters, such as ACK, BEL, CR, FF, LF, and VT. T The Unicode standard assigns code points from \U0000 to \U001F, \U007F, and from \U0080 to \U009F to control characters. According to the Unicode standard, these values are to be interpreted as control characters unless their use is otherwise defined by an application. Valid control characters are members of the category.

  Indicates whether the specified Unicode character is categorized as a control character.

  true if is a control character; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  Control characters are formatting and other non-printing characters, such as ACK, BEL, CR, FF, LF, and VT. The Unicode standard assigns code points from \U0000 to \U001F, \U007F, and from \U0080 to \U009F to control characters. According to the Unicode standard, these values are to be interpreted as control characters unless their use is otherwise defined by an application. Valid control characters are members of the category.

  Indicates whether the character at the specified position in a specified string is categorized as a control character.

  true if the character at position in is a control character; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method determines whether a is a radix-10 digit. This contrasts with , which determines whether a Char is of any numeric Unicode category. Numbers include characters such as fractions, subscripts, superscripts, Roman numerals, currency numerators, encircled numbers, and script-specific digits.

  Valid digits are members of the category.

  Indicates whether the specified Unicode character is categorized as a decimal digit.

  true if is a decimal digit; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  This method determines whether a is a radix-10 digit. This contrasts with , which determines whether a is of any numeric Unicode category. Numbers include characters such as fractions, subscripts, superscripts, Roman numerals, currency numerators, encircled numbers, and script-specific digits.

  Character positions in a string are indexed starting from zero.

  Valid digits are members of the category.

  Indicates whether the character at the specified position in a specified string is categorized as a decimal digit.

  true if the character at position in is a decimal digit; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  In addition to representing single characters using a 16-bit code point, UTF-16 encoding allows abstract characters to be represented using two 16-bit code points, which is known as a surrogate pair. The first element in this pair is the high surrogate. Its code point can range from U+D800 to U+DBFF. An individual surrogate has no interpretation of its own; it is meaningful only when used as part of a surrogate pair.

  Indicates whether the specified object is a high surrogate.

  true if the numeric value of the parameter ranges from U+D800 through U+DBFF; otherwise, false.

  The Unicode character to evaluate.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The parameter is zero-based.

  In addition to representing single characters using a 16-bit code point, UTF-16 encoding allows abstract characters to be represented using two 16-bit code points, which is known as a surrogate pair. The first element in this pair is the high surrogate. Its code point can range from U+D800 to U+DBFF. An individual surrogate has no interpretation of its own; it is meaningful only when used as part of a surrogate pair.

  Indicates whether the object at the specified position in a string is a high surrogate.

  true if the numeric value of the specified character in the parameter ranges from U+D800 through U+DBFF; otherwise, false.

  A string. The position of the character to evaluate in .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method determines whether a is a member of any category of Unicode letter. Unicode letters include the following:

  Uppercase letters, such as U+0041 (LATIN CAPITAL LETTER A) through U+005A (LATIN CAPITAL LETTER Z), or U+0400 (CYRILLIC CAPITAL LETTER IE WITH GRAVE) through U+042F (CYRILLIC CAPITAL LETTER YA). These characters are members of the category.

  Lowercase letters, such as U+0061 (LATIN SMALL LETTER A) through U+007A (LATIN SMALL LETTER Z), or U+03AC (GREEK SMALL LETTER ALPHA WITH TONOS) through U+03CE (GREEK SMALL LETTER OMEGA WITH TONOS). These characters are members of the category.

  Title case letters, such as U+01C5 (LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON) or U+1FFC (GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI). These characters are members of the category.

  Modifiers, such as U+02B0 (MODIFIER LETTER SMALL H) through U+02C1 (MODIFIER LETTER REVERSED GLOTTAL STOP), or U+1D2C (MODIFIER LETTER CAPITAL A) through U+1D61 (MODIFIER LETTER SMALL CHI). These characters are members of the category.

  Other letters, such as U+05D0 (HEBREW LETTER ALEF) through U+05EA (HEBREW LETTER TAV), U+0621 (ARABIC LETTER HAMZA) through U+063A (ARABIC LETTER GHAIN), or U+4E00 (<CJK Ideograph, First>) through U+9FC3 (<CJK Ideograph, Last>). These characters are members of the category.

  Indicates whether the specified Unicode character is categorized as a Unicode letter.

  true if is a letter; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  This method determines whether the character at a specified index position in a string is a member of any category of Unicode letter. Unicode letters include the following:

  Uppercase letters, such as U+0041 (LATIN CAPITAL LETTER A) through U+005A (LATIN CAPITAL LETTER Z), or U+0400 (CYRILLIC CAPITAL LETTER IE WITH GRAVE) through U+042F (CYRILLIC CAPITAL LETTER YA). These characters are members of the category.

  Lowercase letters, such as U+0061 (LATIN SMALL LETTER A) through U+007A (LATIN SMALL LETTER Z), or U+03AC (GREEK SMALL LETTER ALPHA WITH TONOS) through U+03CE (GREEK SMALL LETTER OMEGA WITH TONOS). These characters are members of the category.

  Title case letters, such as U+01C5 (LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON) or U+1FFC (GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI). These characters are members of the category.

  Modifiers, such as U+02B0 (MODIFIER LETTER SMALL H) through U+02C1 (MODIFIER LETTER REVERSED GLOTTAL STOP), or U+1D2C (MODIFIER LETTER CAPITAL A) through U+1D61 (MODIFIER LETTER SMALL CHI). These characters are members of the category.

  Other letters, such as U+05D0 (HEBREW LETTER ALEF) through U+05EA (HEBREW LETTER TAV), U+0621 (ARABIC LETTER HAMZA) through U+063A (ARABIC LETTER GHAIN), or U+4E00 (<CJK Ideograph, First>) through U+9FC3 (<CJK Ideograph, Last>). These characters are members of the category.

  Indicates whether the character at the specified position in a specified string is categorized as a Unicode letter.

  true if the character at position in is a letter; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Valid letters and decimal digits are members of the following categories in : UppercaseLetter, LowercaseLetter, TitlecaseLetter, ModifierLetter, OtherLetter, or DecimalDigitNumber.

  Indicates whether the specified Unicode character is categorized as a letter or a decimal digit.

  true if is a letter or a decimal digit; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  Valid letters and decimal digits are members of the following categories in : UppercaseLetter, LowercaseLetter, TitlecaseLetter, ModifierLetter, OtherLetter, or DecimalDigitNumber.

  Indicates whether the character at the specified position in a specified string is categorized as a letter or a decimal digit.

  true if the character at position in is a letter or a decimal digit; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Valid lowercase letters are members of the following category in : LowercaseLetter.

  Indicates whether the specified Unicode character is categorized as a lowercase letter.

  true if is a lowercase letter; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  Valid lowercase letters are members of the following category in : LowercaseLetter.

  Indicates whether the character at the specified position in a specified string is categorized as a lowercase letter.

  true if the character at position in is a lowercase letter; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  In addition to representing single characters using a 16-bit code point, UTF-16 encoding allows abstract characters to be represented using two 16-bit code points, which is known as a surrogate pair. The second element in this pair is the low surrogate. Its code point can range from U+DC00 to U+DFFF. An individual surrogate has no interpretation of its own; it is meaningful only when used as part of a surrogate pair.

  Indicates whether the specified object is a low surrogate.

  true if the numeric value of the parameter ranges from U+DC00 through U+DFFF; otherwise, false.

  The character to evaluate.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The parameter is zero-based.

  In addition to representing single characters using a 16-bit code point, UTF-16 encoding allows abstract characters to be represented using two 16-bit code points, which is known as a surrogate pair. The second element in this pair is the low surrogate. Its code point can range from U+DC00 to U+DFFF. An individual surrogate has no interpretation of its own; it is meaningful only when used as part of a surrogate pair.

  Indicates whether the object at the specified position in a string is a low surrogate.

  true if the numeric value of the specified character in the parameter ranges from U+DC00 through U+DFFF; otherwise, false.

  A string. The position of the character to evaluate in .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method determines whether a is of any numeric Unicode category. In addition to including digits, numbers include characters, fractions, subscripts, superscripts, Roman numerals, currency numerators, and encircled numbers. This method contrasts with the method, which determines whether a is a radix-10 digit.

  Valid numbers are members of the , , or category.

  The method assumes that corresponds to a single linguistic character and checks whether that character represents a number. However, some numbers in the Unicode standard are represented by two objects that form a surrogate pair. For example, the Aegean numbering system consists of code points U+10107 through U+10133. The following example uses the method to instantiate a string that represents AEGEAN NUMBER ONE. As the output from the example shows, the method returns false if it is passed either a high surrogate or a low surrogate of this character.

  code reference: System.Char.IsNumber#1

  Indicates whether the specified Unicode character is categorized as a number.

  true if is a number; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  This method determines whether a is of any numeric Unicode category. In addition to including digits, numbers include characters, fractions, subscripts, superscripts, Roman numerals, currency numerators, and encircled numbers. This method contrasts with the method, which determines whether a is a radix-10 digit.

  Character positions in a string are indexed starting from zero.

  Valid numbers are members of the , , or category.

  If the object at position is the first character of a valid surrogate pair, the method determines whether the surrogate pair forms a numeric digit. For example, the Aegean numbering system consists of code points U+10107 through U+10133. The following example uses the method to instantiate a string that represents AEGEAN NUMBER ONE. As the output from the example shows, the method returns true if it is passed the high surrogate of AEGEAN NUMBER ONE. However, if it is passed the low surrogate, it considers only the category of the low surrogate and returns false.

  code reference: System.Char.IsNumber#2

  Indicates whether the character at the specified position in a specified string is categorized as a number.

  true if the character at position in is a number; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Valid punctuation marks are members of the following categories in : ConnectorPunctuation, DashPunctuation, OpenPunctuation, ClosePunctuation, InititalQuotePunctuation, FinalQuotePunctuation, or OtherPunctuation. They include characters with the Unicode code points listed in the following table.

  U+0021 to U+0023

  U+060C and U+060D

  U+1800 to U+180A

  U+3014 to U+301F

  U+0025 to U+002A

  U+061B

  U+1944 and U+1945

  U+3030

  U+002C to U+002F

  U+061E and U+061F

  U+19DE and U+19DF

  U+303D

  U+003A and U+003B

  U+066A to U+066D

  U+1A1E and U+1A1F

  U+30A0

  U+003F and U+0040

  U+06D4

  U+1B5A to U+1B60

  U+30FB

  U+005B to U+005D

  U+0700 to U+070D

  U+2010 to U+2027

  U+A874 to U+A877

  U+005F

  U+07F7 to U+07F9

  U+2030 to U+2043

  U+FD3E and U+FD3F

  U+007B

  U+0964 and U+0965

  U+2045 to U+2051

  U+FE10 to U+FE19

  U+007D

  U+0970

  U+2053 to U+205E

  U+FE30 to U+FE52

  U+00A1

  U+0DF4

  U+207D and U+207E

  U+FE54 to U+FE61

  U+00AB

  U+0E4F to U+0E5B

  U+208D and U+208E

  U+FE63

  U+00AD

  U+0F04 to U+0F12

  U+2329 and U+232A

  U+FE68

  U+00B7

  U+0F3A to U+0F3D

  U+2768 to U+2775

  U+FE6A and U+FE6B

  U+00BB

  U+0F85

  U+27C5 to U+27C6

  U+FF01 to U+FF03

  U+00BF

  U+0FD0 and U+0FD1

  U+27E6 to U+27EB

  U+FF05 to U+FF0A

  U+037E

  U+104A to U+104F

  U+2983 to U+2998

  U+FF0C to U+FF0F

  U+0387

  U+10FB

  U+29D8 to U+29DB

  U+FF1A and U+FF1B

  U+055A to U+055F

  U+1361 to U+1368

  U+29FC and U+29FD

  U+FF1F and U+FF20

  U+0589 and U+058A

  U+166D and U+166E

  U+2CF9 to U+2CFC

  U+FF3B to U+FF3D

  U+05BE

  U+169B and U+169C

  U+2CFE and U+2CFF

  U+FF3F

  U+05C0

  U+16EB to U+16ED

  U+2E00 to U+2E17

  U+FF5B

  U+05C3

  U+1735 and U+1736

  U+2E1C and U+2E1D

  U+FF5D

  U+05C6

  U+17D4 to U+17D6

  U+3001 to U+3003

  U+FF5F to U+FF65

  U+05F3 and U+05F4

  U+17D8 to U+17DA

  U+3008 to U+3011

  Indicates whether the specified Unicode character is categorized as a punctuation mark.

  true if is a punctuation mark; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  Valid punctuation marks are members of the following categories in : ConnectorPunctuation, DashPunctuation, OpenPunctuation, ClosePunctuation, InititalQuotePunctuation, FinalQuotePunctuation, or OtherPunctuation. They include characters with the Unicode code points listed in the following table.

  U+0021 to U+0023

  U+060C and U+060D

  U+1800 to U+180A

  U+3014 to U+301F

  U+0025 to U+002A

  U+061B

  U+1944 and U+1945

  U+3030

  U+002C to U+002F

  U+061E and U+061F

  U+19DE and U+19DF

  U+303D

  U+003A and U+003B

  U+066A to U+066D

  U+1A1E and U+1A1F

  U+30A0

  U+003F and U+0040

  U+06D4

  U+1B5A to U+1B60

  U+30FB

  U+005B to U+005D

  U+0700 to U+070D

  U+2010 to U+2027

  U+A874 to U+A877

  U+005F

  U+07F7 to U+07F9

  U+2030 to U+2043

  U+FD3E and U+FD3F

  U+007B

  U+0964 and U+0965

  U+2045 to U+2051

  U+FE10 to U+FE19

  U+007D

  U+0970

  U+2053 to U+205E

  U+FE30 to U+FE52

  U+00A1

  U+0DF4

  U+207D and U+207E

  U+FE54 to U+FE61

  U+00AB

  U+0E4F to U+0E5B

  U+208D and U+208E

  U+FE63

  U+00AD

  U+0F04 to U+0F12

  U+2329 and U+232A

  U+FE68

  U+00B7

  U+0F3A to U+0F3D

  U+2768 to U+2775

  U+FE6A and U+FE6B

  U+00BB

  U+0F85

  U+27C5 to U+27C6

  U+FF01 to U+FF03

  U+00BF

  U+0FD0 and U+0FD1

  U+27E6 to U+27EB

  U+FF05 to U+FF0A

  U+037E

  U+104A to U+104F

  U+2983 to U+2998

  U+FF0C to U+FF0F

  U+0387

  U+10FB

  U+29D8 to U+29DB

  U+FF1A and U+FF1B

  U+055A to U+055F

  U+1361 to U+1368

  U+29FC and U+29FD

  U+FF1F and U+FF20

  U+0589 and U+058A

  U+166D and U+166E

  U+2CF9 to U+2CFC

  U+FF3B to U+FF3D

  U+05BE

  U+169B and U+169C

  U+2CFE and U+2CFF

  U+FF3F

  U+05C0

  U+16EB to U+16ED

  U+2E00 to U+2E17

  U+FF5B

  U+05C3

  U+1735 and U+1736

  U+2E1C and U+2E1D

  U+FF5D

  U+05C6

  U+17D4 to U+17D6

  U+3001 to U+3003

  U+FF5F to U+FF65

  U+05F3 and U+05F4

  U+17D8 to U+17DA

  U+3008 to U+3011

  Indicates whether the character at the specified position in a specified string is categorized as a punctuation mark.

  true if the character at position in is a punctuation mark; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The Unicode standard recognizes three subcategories of separators:

  Space separators (the category), which includes characters such as \u0020.

  Line separators (the category), which includes \u2028.

  Paragraph separators (the category), which includes \u2029.

  The Unicode standard classifies the characters \u000A (LF), \u000C (FF), and \u000A (CR) as control characters (members of the category), not as separator characters.

  Indicates whether the specified Unicode character is categorized as a separator character.

  true if is a separator character; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  The Unicode standard recognizes three subcategories of separators:

  Space separators (the category), which includes characters such as \u0020.

  Line separators (the category), which includes \u2028.

  Paragraph separators (the category), which includes \u2029.

  The Unicode standard classifies the characters \u000A (LF), \u000C (FF), and \u000A (CR) as control characters (members of the category), not as separator characters.

  Indicates whether the character at the specified position in a specified string is categorized as a separator character.

  true if the character at position in is a separator character; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  A surrogate is a object with a UTF-16 code unit in the range from U+D800 to U+DFFF. Each character with a code unit in this range belongs to the category. The individual surrogate code unit has no interpretation of its own, but has meaning only when used as part of a surrogate pair. For more information about surrogate pairs, see the Unicode Standard at the Unicode home page.

  Indicates whether the specified character has a surrogate code unit.

  true if is either a high surrogate or a low surrogate; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  A surrogate is a object with a UTF-16 code unit in the range from U+D800 to U+DFFF. Each character with a code unit in this range belongs to the category. The individual surrogate code unit has no interpretation of its own, but has meaning only when used as part of a surrogate pair. For more information about surrogate pairs, see the Unicode Standard at the Unicode home page.

  Indicates whether the character at the specified position in a specified string has a surrogate code unit.

  true if the character at position in is a either a high surrogate or a low surrogate; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Ordinarily, a single character is represented by a single 16-bit Unicode code unit. UTF-16 encoding also supports surrogate pairs, which allow a single abstract character to be represented by two 16-bit code units. The first code unit, whose value can range from U+D800 to U+DBFF, is the high surrogate. The second code unit, whose value can range from U+DC00 to U+DFFF, is the low surrogate. Individual surrogate code points have no interpretation of their own. For more information about surrogates and the Unicode Standard, see the Unicode home page.

  Indicates whether the two specified objects form a surrogate pair.

  true if the numeric value of the parameter ranges from U+D800 through U+DBFF, and the numeric value of the parameter ranges from U+DC00 through U+DFFF; otherwise, false.

  The character to evaluate as the high surrogate of a surrogate pair. The character to evaluate as the low surrogate of a surrogate pair.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Ordinarily, a single character is represented by a single 16-bit Unicode code unit. UTF-16 encoding also supports surrogate pairs, which allow a single abstract character to be represented by two 16-bit code units. The first code unit, whose value can range from U+D800 to U+DBFF, is the high surrogate. The second code unit, whose value can range from U+DC00 to U+DFFF, is the low surrogate. Individual surrogate code points have no interpretation of their own. For more information about surrogates and the Unicode Standard, see the Unicode home page.

  Indicates whether two adjacent objects at a specified position in a string form a surrogate pair.

  true if the parameter includes adjacent characters at positions and + 1, and the numeric value of the character at position ranges from U+D800 through U+DBFF, and the numeric value of the character at position +1 ranges from U+DC00 through U+DFFF; otherwise, false.

  A string. The starting position of the pair of characters to evaluate within .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Valid symbols are members of the following categories in : MathSymbol, CurrencySymbol, ModifierSymbol, and OtherSymbol.

  Symbols in the Unicode standard are a loosely defined set of characters that include the following:

  Currency symbols.

  Letterlike symbols, which include a set of mathematical alphanumeric symbols as well as symbols such as ℅, №, and ™.

  Number forms, such as subscripts and superscripts.

  Mathematical operators and arrows.

  Geometric symbols.

  Technical symbols.

  Braille patterns.

  Dingbats.

  Indicates whether the specified Unicode character is categorized as a symbol character.

  true if is a symbol character; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  Valid symbols are members of the following categories in : MathSymbol, CurrencySymbol, ModifierSymbol, and OtherSymbol.

  Symbols in the Unicode standard are a loosely defined set of characters that include the following:

  Currency symbols.

  Letterlike symbols, which include a set of mathematical alphanumeric symbols as well as symbols such as ℅, №, and ™.

  Number forms, such as subscripts and superscripts.

  Mathematical operators and arrows.

  Geometric symbols.

  Technical symbols.

  Braille patterns.

  Dingbats.

  Indicates whether the character at the specified position in a specified string is categorized as a symbol character.

  true if the character at position in is a symbol character; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Valid uppercase letters are members of the following category in : UppercaseLetter.

  Indicates whether the specified Unicode character is categorized as an uppercase letter.

  true if is an uppercase letter; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` is a null reference. The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  Valid uppercase letters are members of the following category in : UppercaseLetter.

  Indicates whether the character at the specified position in a specified string is categorized as an uppercase letter.

  true if the character at position in is an uppercase letter; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  White space characters are the following Unicode characters:

  Members of the category, which includes the characters SPACE (U+0020), OGHAM SPACE MARK (U+1680), MONGOLIAN VOWEL SEPARATOR (U+180E), EN QUAD (U+2000), EM QUAD (U+2001), EN SPACE (U+2002), EM SPACE (U+2003), THREE-PER-EM SPACE (U+2004), FOUR-PER-EM SPACE (U+2005), SIX-PER-EM SPACE (U+2006), FIGURE SPACE (U+2007), PUNCTUATION SPACE (U+2008), THIN SPACE (U+2009), HAIR SPACE (U+200A), NARROW NO-BREAK SPACE (U+202F), MEDIUM MATHEMATICAL SPACE (U+205F), and IDEOGRAPHIC SPACE (U+3000).

  Members of the category, which consists solely of the LINE SEPARATOR character (U+2028).

  Members of the category, which consists solely of the PARAGRAPH SEPARATOR character (U+2029).

  The characters CHARACTER TABULATION (U+0009), LINE FEED (U+000A), LINE TABULATION (U+000B), FORM FEED (U+000C), CARRIAGE RETURN (U+000D), NEXT LINE (U+0085), and NO-BREAK SPACE (U+00A0).

  Indicates whether the specified Unicode character is categorized as white space.

  true if is white space; otherwise, false.

  The Unicode character to evaluate. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  is a null reference.

  The value of is less than zero, or greater than or equal to the length of . The position of the character to evaluate in .

  Character positions in a string are indexed starting from zero.

  White space characters are the following Unicode characters:

  Members of the category, which includes the characters SPACE (U+0020), OGHAM SPACE MARK (U+1680), MONGOLIAN VOWEL SEPARATOR (U+180E), EN QUAD (U+2000), EM QUAD (U+2001), EN SPACE (U+2002), EM SPACE (U+2003), THREE-PER-EM SPACE (U+2004), FOUR-PER-EM SPACE (U+2005), SIX-PER-EM SPACE (U+2006), FIGURE SPACE (U+2007), PUNCTUATION SPACE (U+2008), THIN SPACE (U+2009), HAIR SPACE (U+200A), NARROW NO-BREAK SPACE (U+202F), MEDIUM MATHEMATICAL SPACE (U+205F), and IDEOGRAPHIC SPACE (U+3000).

  Members of the category, which consists solely of the LINE SEPARATOR character (U+2028).

  Members of the category, which consists solely of the PARAGRAPH SEPARATOR character (U+2029).

  The characters CHARACTER TABULATION (U+0009), LINE FEED (U+000A), LINE TABULATION (U+000B), FORM FEED (U+000C), CARRIAGE RETURN (U+000D), NEXT LINE (U+0085), and NO-BREAK SPACE (U+00A0).

  Indicates whether the character at the specified position in a specified string is categorized as white space.

  true if the character at position in is white space; otherwise, false.

  A string. The position of the character to evaluate in . 0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char (char)0xFFFF

  The value of this constant is hexadecimal 0xFFFF.

  Represents the largest possible value of a . This field is constant.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char (char)0x0

  The value of this constant is hexadecimal 0x00.

  Represents the smallest possible value of a . This field is constant.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char `` To be added. is a null reference. does not contain exactly one character.

  Converts the value of the specified string to its equivalent Unicode character.

  A Unicode character equivalent to the sole character in .

  A string that contains a single character, or null. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Note This conversion is not supported. Attempting to do so throws an .

  This conversion is not supported. No value is returned.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  The converted value of the current object.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The value of the current object unchanged.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` To be added.

  Note This conversion is not supported. Attempting to do so throws an .

  No value is returned.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Decimal `` To be added.

  Note This conversion is not supported. Attempting to do so throws an .

  No value is returned.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double `` To be added.

  Note This conversion is not supported. Attempting to do so throws an .

  No value is returned.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  The converted value of the current object.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  The converted value of the current object.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  The converted value of the current object.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.SByte ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  The converted value of the current object.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Single `` To be added.

  Note This conversion is not supported. Attempting to do so throws an .

  No value is returned.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  An object of the specified type.

  An object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt16 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  The converted value of the current object.

  An object. (Specify null because the parameter is ignored.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  The converted value of the current object.

  An object. (Specify null because the parameter is ignored.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt64 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method instead.

  For a description of this member, see .

  The converted value of the current object.

  An object. (Specify null because the parameter is ignored.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char ``

  The following example demonstrates the method.

  `using System; public class CharToLower { public static void Main() { Char[] cAry = {'A', 'c', '*'}; foreach (Char c in cAry) { Console.Write("Char '{0}' ToLower is ", c); Console.WriteLine("{0}", Char.ToLower(c)); } } }`

  The output is

  Char 'A' ToLower is a

  Char 'c' ToLower is c

  Char '*' ToLower is *

  Casing rules are obtained from the current culture.

  Use to convert a string to lowercase.

  Converts the value of a Unicode character to its lowercase equivalent.

  The lowercase equivalent of , or the unchanged value of , if is already lowercase or not alphabetic.

  The Unicode character to convert. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char `` ``

  Use to convert a string to lowercase.

  Converts the value of a specified Unicode character to its lowercase equivalent using specified culture-specific formatting information.

  The lowercase equivalent of , modified according to , or the unchanged value of , if is already lowercase or not alphabetic.

  The Unicode character to convert. An object that supplies culture-specific casing rules.
- Method
  2.0.0.0
  4.0.0.0
  System.Char ``

  If your application is unaffected by the current culture and depends on the case of a character changing in a predictable way, then use the method. The method is equivalent to ToLower(Char, CultureInfo.InvariantCulture).

  Use to convert a string to lowercase.

  Converts the value of a Unicode character to its lowercase equivalent using the casing rules of the invariant culture.

  The lowercase equivalent of the parameter, or the unchanged value of , if is already lowercase or not alphabetic.

  The Unicode character to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method overrides .

  Converts the value of this instance to its equivalent string representation.

  The string representation of the value of this instance.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added.

  Converts the specified Unicode character to its equivalent string representation.

  The string representation of the value of .

  The Unicode character to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The parameter is ignored; it does not participate in this operation.

  Converts the value of this instance to its equivalent string representation using the specified culture-specific format information.

  The string representation of the value of this instance as specified by .

  (Reserved) An object that supplies culture-specific formatting information. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char ``

  The following example demonstrates the method.

  `using System; public class CharToUpper { public static void Main() { Char[] cAry = {'A', 'c', '*'}; foreach (Char c in cAry) { Console.Write("Char '{0}' ToUpper is {1}", c, Char.ToUpper(c)); Console.WriteLine(); } } }`

  The output is

  Char 'A' ToUpper is A

  Char 'c' ToUpper is C

  Char '*' ToUpper is *

  Casing rules are obtained from the current culture.

  Use to convert a string to uppercase.

  Converts the value of a Unicode character to its uppercase equivalent.

  The uppercase equivalent of , or the unchanged value of if is already uppercase, has no uppercase equivalent, or is not alphabetic.

  The Unicode character to convert. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char `` ``

  Use to convert a string to uppercase.

  Converts the value of a specified Unicode character to its uppercase equivalent using specified culture-specific formatting information.

  The uppercase equivalent of , modified according to , or the unchanged value of if is already uppercase, has no uppercase equivalent, or is not alphabetic.

  The Unicode character to convert. An object that supplies culture-specific casing rules.
- Method
  2.0.0.0
  4.0.0.0
  System.Char ``

  If your application is unaffected by the current culture and depends on the case of a character changing in a predictable way, use the method. The method is equivalent to ToUpper(Char, CultureInfo.InvariantCulture).

  Use to convert a string to uppercase.

  Converts the value of a Unicode character to its uppercase equivalent using the casing rules of the invariant culture.

  The uppercase equivalent of the parameter, or the unchanged value of , if is already uppercase or not alphabetic.

  The Unicode character to convert.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
0